Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class LabelOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.LabelOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class LabelOperator
extends ComponentOperator

Timeouts used:
ComponentOperator.WaitComponentTimeout - time to wait component displayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `LabelOperator.LabelByLabelFinder` Allows to find component by LabelByLabelFinder.
`static class` | `LabelOperator.LabelFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `TEXT_DPROP` Identifier for a "text" property.

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`LabelOperator(ContainerOperator cont)` Constructor.
`LabelOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a LabelOperator object.
`LabelOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a LabelOperator object.
`LabelOperator(ContainerOperator cont, int index)` Constructor.
`LabelOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`LabelOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`LabelOperator(java.awt.Label b)` Constructor.

Method Summary
`static java.awt.Label` | `findLabel(java.awt.Container cont, ComponentChooser chooser)` Searches Label in container.
`static java.awt.Label` | `findLabel(java.awt.Container cont, ComponentChooser chooser, int index)` Searches Label in container.
`static java.awt.Label` | `findLabel(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Searches Label by text.
`static java.awt.Label` | `findLabel(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Searches Label by text.
`int` | `getAlignment()` Maps `Label.getAlignment()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`java.lang.String` | `getText()` Maps `Label.getText()` through queue
`void` | `setAlignment(int i)` Maps `Label.setAlignment(int)` through queue
`void` | `setText(java.lang.String string)` Maps `Label.setText(String)` through queue
`static java.awt.Label` | `waitLabel(java.awt.Container cont, ComponentChooser chooser)` Waits Label in container.
`static java.awt.Label` | `waitLabel(java.awt.Container cont, ComponentChooser chooser, int index)` Waits Label in container.
`static java.awt.Label` | `waitLabel(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Waits Label by text.
`static java.awt.Label` | `waitLabel(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Waits Label by text.

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterXForClick, getCenterY, getCenterYForClick, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getOutput, getParent, getPreferredSize, getSize, getSize, getSource, getTimeouts, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setOutput, setSize, setSize, setTimeouts, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_DPROP

    public static final java.lang.String TEXT_DPROP

  Identifier for a "text" property.
  See Also:
    `getDump()`

Constructor Detail

### LabelOperator

    public LabelOperator(java.awt.Label b)

  Constructor.
  Parameters:
    `b` - a component

### LabelOperator

    public LabelOperator(ContainerOperator cont,
                         ComponentChooser chooser,
                         int index)

  Constructs a LabelOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### LabelOperator

    public LabelOperator(ContainerOperator cont,
                         ComponentChooser chooser)

  Constructs a LabelOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### LabelOperator

    public LabelOperator(ContainerOperator cont,
                         java.lang.String text,
                         int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### LabelOperator

    public LabelOperator(ContainerOperator cont,
                         java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### LabelOperator

    public LabelOperator(ContainerOperator cont,
                         int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### LabelOperator

    public LabelOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findLabel

    public static java.awt.Label findLabel(java.awt.Container cont,
                                           ComponentChooser chooser,
                                           int index)

  Searches Label in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    Label instance or null if component was not found.

### findLabel

    public static java.awt.Label findLabel(java.awt.Container cont,
                                           ComponentChooser chooser)

  Searches Label in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    Label instance or null if component was not found.

### findLabel

    public static java.awt.Label findLabel(java.awt.Container cont,
                                           java.lang.String text,
                                           boolean ce,
                                           boolean ccs,
                                           int index)

  Searches Label by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    Label instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findLabel

    public static java.awt.Label findLabel(java.awt.Container cont,
                                           java.lang.String text,
                                           boolean ce,
                                           boolean ccs)

  Searches Label by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    Label instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitLabel

    public static java.awt.Label waitLabel(java.awt.Container cont,
                                           ComponentChooser chooser,
                                           int index)

  Waits Label in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    Label instance.
  Throws:
    `TimeoutExpiredException` -

### waitLabel

    public static java.awt.Label waitLabel(java.awt.Container cont,
                                           ComponentChooser chooser)

  Waits Label in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    Label instance.
  Throws:
    `TimeoutExpiredException` -

### waitLabel

    public static java.awt.Label waitLabel(java.awt.Container cont,
                                           java.lang.String text,
                                           boolean ce,
                                           boolean ccs,
                                           int index)

  Waits Label by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    Label instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitLabel

    public static java.awt.Label waitLabel(java.awt.Container cont,
                                           java.lang.String text,
                                           boolean ce,
                                           boolean ccs)

  Waits Label by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    Label instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `ComponentOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### getAlignment

    public int getAlignment()

  Maps `Label.getAlignment()` through queue

### getText

    public java.lang.String getText()

  Maps `Label.getText()` through queue

### setAlignment

    public void setAlignment(int i)

  Maps `Label.setAlignment(int)` through queue

### setText

    public void setText(java.lang.String string)

  Maps `Label.setText(String)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD